> For the complete documentation index, see [llms.txt](https://docs.varbase.vardot.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.varbase.vardot.com/9.1.x/developers/understanding-varbase/external-components/varbase-youtube-import.md).

# Varbase YouTube Import

Provide feed type that imports from YouTube channels and playlists.

## Varbase YouTube Import Module

{% hint style="info" %}
Varbase YouTube Import features are bundled through the **Varbase YouTube Import** module.\
GitHub: <https://github.com/Vardot/varbase_youtube_import>\
Drupal.org: <https://www.drupal.org/project/varbase_youtube_import>

After building a project using the `varbase-project` template.

**Install with Composer:** `$ composer require 'drupal/`varbase\_youtube\_import`:^1.0'`\
[Using Composer to manage Drupal site dependencies](https://www.drupal.org/docs/develop/using-composer/using-composer-to-manage-drupal-site-dependencies)

The code of the **Varbase YouTube Import** module will be located in:
{% endhint %}

```
project_directory
|-- docroot
    |-- modules
        |-- contrib
            |-- varbase_youtube_import
```

Brings in the following core and contributed modules to your site:

| Module                                                          | Purpose                                                    |
| --------------------------------------------------------------- | ---------------------------------------------------------- |
| [**Feeds**](https://www.drupal.org/project/feeds)               | Aggregates RSS/Atom/RDF feeds, imports CSV files and more. |
| [**Feeds Extensible**](https://www.drupal.org/project/feeds_ex) | A generic Feeds parser used to create extensible parsers.  |
| [**Feeds Tamper**](https://www.drupal.org/project/feeds_tamper) | Modify feeds data before it gets saved.                    |

##


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.varbase.vardot.com/9.1.x/developers/understanding-varbase/external-components/varbase-youtube-import.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
